Subject: Re: Cygwin + Debian
From: Kevin Wright <[email-masked]>
To: "Christophe Prud'homme" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 20 Jun 2001 15:44:08 -0700

On Wednesday, June 20, 2001, at 06:46 AM, Christophe Prud'homme wrote:

> * Andrej Borsenkow  [Mercredi 20 Juin 2001 05:38 am ]  :
>
>> Do you have the slightest idea what Cygwin and Debian are?
> actually yes I do and as a matter of fact many people
> found the idea interesting on the debian side
> this has been discussed, it seems, some time ago in the past
> and there is a mailing list debian-win32
>
> I think that it is you who fail to see the interesting/cool idea here.
> Imagine that you have access to the cygwin/win32 packages through the
> debian packaging system. Now it is entirely possible that for some
> technical reason it might be really a pain to do that but then I think it 
> is
> a interesting to look at the feasibility of this idea.
>
> Again the idea is to use dpkg/apt to update the cygwin apps/libs stuff, 
> upgrade packages,
> and install new packages ...
>
> regards
> C.
> --
> | Christophe Prud'homme, http://augustine.mit.edu/~prudhomm
> | ICQ UIN: 24560867 Alias: Jesunix
> |

Christophe,

You might want to look at a program called fink 
(http://fink.sourceforge.net/) which is a front-end to dpkg for Apple's 
Darwin (OS X) written in perl. However, the author hopes that someday this 
could be used on other Unix platforms. Basically, it would be a matter of 
porting the main applications that fink uses:

1) dpkg
2) bzip2
3) gettext
4) gzip
5) tar
6) wget
7) perl

As far as I know, only dpkg has not yet been ported. Then you would have 
to write "info" files for each package (eg gimp-1.2.1-3.info). A fink info 
package is just a plain file that lists where to get the source for (using 
wget), what the dependencies are, and what options to pass to the compiler,
  configure, etc. The next step would be to create the patch file for each 
package.

The way fink works is it:
1) looks for the info file for a given package,
2) applies the patch, if necessary
3) builds the application
4) creates the .deb file
5) installs the app from the .deb file
6) updates the database that lists the installed apps

for example:

fink install gimp

I'd work on this myself if I only had a windows box handy at work.

Here's what the gimp-1.2.1-3.info looks like:

--------------------------------------------
Package: gimp
Version: 1.2.1
Revision: 3
Source: mirror:gimp:gimp/v1.2/v%v/gimp-%v.tar.gz
Depends: gnome-libs, libpng, libjpeg, zlib, libtiff, gtk+, gettext
UpdateLibtool: true
UsesGettext: true
SetCPPFLAGS: -traditional-cpp
SetCFLAGS: -traditional-cpp
SetLIBS: -lintl
ConfigureParams: --disable-perl
InstallScript: make install DESTDIR=%d
  mv %i/bin/gimp %i/bin/gimp-real
  echo '#!/bin/sh' >%i/bin/gimp
  echo 'exec %p/bin/gimp-real --no-shm --no-xshm "$@"' >>%i/bin/gimp
  chmod 755 %i/bin/gimp
CommentPort: Uses autoconf and libtool. The usual libtool fix.
  Threads / multiprocessing is not enabled yet. The perl and
  python extensions are not built. Printing probably won't
  work. Missing libraries for plugins: aa, mpeg.
  A small shell-script is created to make sure the
  parameters '--no-shm --no-xshm' are always passed to the GIMP.
Maintainer: Christoph Pfisterer <[email-masked]>
Homepage: http://www.gimp.org/
--------------------------------------------

Kevin Wright
Cupertino, CA 95014
--------------------------------
  Apple Computer, Inc  	
--------------------------------

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple